import 'package:doctor_app_flutter/utils/translations_delegate_base_utils.dart';
import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class EmptyDiagnosis extends StatelessWidget{
  final String? message;

  const EmptyDiagnosis({super.key, this.message});

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment : MainAxisAlignment.center,
      children: [
        SvgPicture.asset('assets/images/svgs/unavailable.svg'),
        SizedBox(height: 10,),
        AppText(
          message ?? TranslationBase.of(context).noDiagnosisFound,
          fontSize: 12,
          fontWeight: FontWeight.w400,
          textAlign: TextAlign.center,
          color: Color(0xFFADADAD),
        )
      ],
    );
  }

}